Which browsers are compatible with WooCommerce POS?

The following browsers have been tested using Browserstack:

  • Chrome Canary (recommended)
  • Chrome 31+
  • Firefox 31+
  • Safari 8+
  • Opera 28+
  • iOS Safari 8+
  • Android Browser 4.4+
  • Microsoft Edge

compatibility-chart

WooCommerce POS uses IndexedDB to persist the product database on your computer or device. IndexedDB is currently a 'Candidate Recommendation' specification by the W3C and is not implemented by all browsers. To see if your browser is compatible please check caniuse.com.

WooCommerce POS also uses the Flexbox Layout module, currently a W3C Last Call Working Draft. To see if your browser is compatible please check caniuse.com.

The recommended browser for WooCommerce POS is Google Chrome Canary. Canary is a 'beta' version of Chrome which gives you access to the very latest web technologies. It is recommended that you install Canary and use it for WooCommerce POS, but you should still keep your current browser for normal web surfing.

iOS

The only browser on iOS which currently has IndexedDB support is Safari on iOS 8 or higher. Other browsers, such as Chrome for iOS, do not have access to IndexedDB. I expect this will change in the future but that is Apple's prerogative. If you are using Safari on iOS 8+ and have issues with the POS not loading, please check you do not have Private Browsing turned on.

Internet Explorer

Internet Explorer currently has buggy implementations of both IndexedDB and Flexbox and therefore WooCommerce POS is incompatible with all versions of IE.

Update: early testing seems to indicate that WooCommerce POS will work on IE Edge.